## ros-galactic-moveit-resources-fanuc-description 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources_fanuc_description)
find_package(ament_cmake REQUIRED)

ament_package()

install(DIRECTORY meshes urdf DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-galactic-moveit-resources-fanuc-description (2.0.3-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 15 Sep 2021 21:00:00 -0000

ros-galactic-moveit-resources-fanuc-description (2.0.2-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 23 May 2021 21:00:00 -0000

ros-galactic-moveit-resources-fanuc-description (2.0.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Apr 2021 21:00:00 -0000

ros-galactic-moveit-resources-fanuc-description (2.0.0-1focal) focal; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Dave Coleman <dave@dav.ee>  Thu, 19 Nov 2020 21:00:00 -0000

ros-galactic-moveit-resources-fanuc-description (0.7.1-1focal) focal; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 08 Oct 2020 21:00:00 -0000

ros-galactic-moveit-resources-fanuc-description (0.7.0-1focal) focal; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Contributors: Robert Haschke, Michael Görner

 -- Dave Coleman <dave@dav.ee>  Wed, 12 Aug 2020 21:00:00 -0000

=== debian/control ===
Source: ros-galactic-moveit-resources-fanuc-description
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-resources-fanuc-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ros-workspace
Description: Fanuc Resources used for MoveIt testing

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-resources-fanuc-description//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
